package com.ktg.iscs.domain.enums;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class JobStepEnum {

    private List<String> steps;
    private List<String> androidSteps;

    public JobStepEnum() {
        steps = new ArrayList<>();
        steps.add("识别所要完成的工作内容");
        steps.add("判断工作所涉及的能量源及隔离方式");
        steps.add("通知所有受影响的人");
        steps.add("如果设备正在运行，按正常操作停机");
        steps.add("上锁并挂牌");
        steps.add("能量隔离证实");
        steps.add("取锁前的检查");
        steps.add("拆除锁具，并把隔离开关恢复到正常位置");

        androidSteps = new ArrayList<>();
        androidSteps.add("识别工作内容");        // Identify Work Content
        androidSteps.add("能量源隔离方式");        // Energy Isolation Method
        androidSteps.add("通知人员");       // Notify Personnel
        androidSteps.add("操作停机");       // Shutdown Operation
        androidSteps.add("上锁挂牌");       // Lockout Tagout
        androidSteps.add("能量隔离证实");     // Energy Isolation Verification
        androidSteps.add("取锁前检查");      // Pre-Unlock Check
        androidSteps.add("拆锁恢复开关");     // Unlock and Restore Switch
    }

}
